Bug 24419 - Add Koha::Suggestion->suggester accessor
Summary: Add Koha::Suggestion->suggester accessor
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 24418
Blocks: 20212
  Show dependency treegraph
 
Reported: 2020-01-14 15:23 UTC by Tomás Cohen Arazi
Modified: 2020-02-06 22:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24419: Add Koha::Suggestion->suggestor accessor (4.26 KB, patch)
2020-01-14 15:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24419: Add Koha::Suggestion->suggestor accessor (4.34 KB, patch)
2020-01-14 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24419: Add Koha::Suggestion->suggestor accessor (4.38 KB, patch)
2020-01-15 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24419: Add Koha::Suggestion->suggester accessor (4.38 KB, patch)
2020-01-17 13:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-01-14 15:23:09 UTC

    
Comment 1 Tomás Cohen Arazi 2020-01-14 15:51:01 UTC
Created attachment 97356 [details] [review]
Bug 24419: Add Koha::Suggestion->suggestor accessor

This patch adds a ->suggestor accessor to the Koha::Suggestion class. It
will return undef if no suggestor, and a Koha::Patron object otherwise.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Suggestion.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Kyle M Hall 2020-01-14 18:12:29 UTC
Created attachment 97368 [details] [review]
Bug 24419: Add Koha::Suggestion->suggestor accessor

This patch adds a ->suggestor accessor to the Koha::Suggestion class. It
will return undef if no suggestor, and a Koha::Patron object otherwise.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Suggestion.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Martin Renvoize 2020-01-15 08:39:08 UTC
Created attachment 97385 [details] [review]
Bug 24419: Add Koha::Suggestion->suggestor accessor

This patch adds a ->suggestor accessor to the Koha::Suggestion class. It
will return undef if no suggestor, and a Koha::Patron object otherwise.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Suggestion.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-01-15 08:39:50 UTC
All works as expected, passes qa test scripts.. Passing QA
Comment 5 Jonathan Druart 2020-01-17 07:05:33 UTC
Martin,
I asked you when I wrote bug 23991 and I think we agreed it was suggester, not suggestor.
Comment 6 Martin Renvoize 2020-01-17 10:03:40 UTC
Curse my bad spelling!
Comment 7 Tomás Cohen Arazi 2020-01-17 13:33:00 UTC
Created attachment 97515 [details] [review]
Bug 24419: Add Koha::Suggestion->suggester accessor

This patch adds a ->suggester accessor to the Koha::Suggestion class. It
will return undef if no suggester, and a Koha::Patron object otherwise.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Suggestion.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2020-01-20 16:34:33 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-02-06 22:28:20 UTC
enhancement not backported to 19.11.x